This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 839266 - Change network with netconsole loaded cause kernel panic
Change network with netconsole loaded cause kernel panic
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Jiri Benc
Network QE
: ZStream
Depends On:
Blocks: 825160 842982 846704
  Show dependency treegraph
 
Reported: 2012-07-11 08:13 EDT by Fabian Deutsch
Modified: 2016-04-26 11:05 EDT (History)
20 users (show)

See Also:
Fixed In Version: kernel-2.6.32-294.el6
Doc Type: Bug Fix
Doc Text:
When the netconsole module was configured over bridge and the "service network restart" command was executed, a deadlock could occur, resulting in a kernel panic. This was caused by recursive rtnl locking by both bridge and netconsole code during network interface unregistration. With this update, the rtnl lock usage is fixed, and the kernel no longer crashes in this scenario.
Story Points: ---
Clone Of: 825160
Environment:
Last Closed: 2013-02-21 01:32:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 2 Jiri Benc 2012-07-19 12:11:40 EDT
Cannot reproduce; what are the exact steps to reproduce on (pure) RHEL? Any bridges involved, etc.?

What kernel version was used to capture the trace in attachment 587619 [details]?
Comment 3 Jiri Benc 2012-07-19 12:34:12 EDT
Hmm, never mind, 3b410a310b48a8e7de3438957635093596ad5ca5 fixes this bug.

If you could still describe the setup used to reproduce this, it would be nice.
Comment 4 Fabian Deutsch 2012-07-19 12:44:16 EDT
(In reply to comment #3)
> Hmm, never mind, 3b410a310b48a8e7de3438957635093596ad5ca5 fixes this bug.

In what tree can I find this commit?

> If you could still describe the setup used to reproduce this, it would be
> nice.

It is a plain RHEL system (VM) with kernel 2.6.32-279 and a bridge with one slave device.
Do you need more details?
Comment 5 Jiri Benc 2012-07-20 04:31:34 EDT
(In reply to comment #4)
> In what tree can I find this commit?

Upstream vanilla, I'm backporting and testing the patch now.

> It is a plain RHEL system (VM) with kernel 2.6.32-279 and a bridge with one
> slave device.
> Do you need more details?

No, seems that I reproduced it. Thanks!
Comment 7 RHEL Product and Program Management 2012-07-20 08:00:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 13 Jarod Wilson 2012-08-07 19:47:26 EDT
Patch(es) available on kernel-2.6.32-294.el6
Comment 25 errata-xmlrpc 2013-02-21 01:32:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.